Getnet DocsGetnet Docs

Alterar status do link

PATCH/payment-links/{link_id}

Changes the status and/or expiration of a payment link.

Header Parameters

Authorizationstringrequired

Bearer Token (JWT). x-seller-id, country, and tenant are extracted from the token.

Path Parameters

link_idstringrequired

UUID v4 of the payment link

Body application/json

status"ACTIVE" | "INACTIVE"required
expirationstring<date-time>

Response

Status updated

link_idstring<uuid>
short_idstring
seller_idstring<uuid>
labelstring
expirationstring<date-time>
max_ordersinteger
type"custom" | "unique"
successful_salesinteger
request_delivery_addressboolean
shipping_amountinteger
productsobject[]
Show products properties
product_type"cash_carry" | "digital_content" | "digital_goods" | "digital_physical" | "gift_card" | "physical_goods" | "renew_subs" | "shareware" | "service"
titlestring
image_idstring<uuid>

Image UUID, obtained via POST /payment-links/products/images

descriptionstring
quantityinteger
order_prefixstring
amountinteger

Product price in cents

paymentobject

Payment methods configuration. At least one method must be enabled (enabled: true). **Availability by country:** | Method | BR | MX | AR | CL | ES | UY | |--------|----|----|----|----|----|----| | credit | ✓ | ✓ | ✓ | ✓ | ✓ | ✓ | | debit | ✓ | ✓ | ✓ | ✓ | ✓ | ✓ | | bankslip | ✓ | — | — | — | — | — | | instant_payment | ✓ | — | — | — | — | — | | google_pay | ✓ | — | — | — | — | — | | apple_pay | ✓ | — | — | — | — | — | | c2p_master | — | — | ✓ | — | — | — |

Show payment properties
creditobject
Show credit properties
enabledboolean
brandsobject[]
Show brands properties
enabledboolean
brandstring

Card brand (VISA, MASTERCARD, AMEX, ELO, HIPERCARD, CABAL, CARNET)

currenciesstring[]
threedsboolean

3DS authentication enabled

supported_installmentsobject[]
Show supported_installments properties
schemastring

Installment schema identifier

schema_namestring

Descriptive name of the schema

installmentsinteger[]

Enabled installments (integers >= 2)

installments_with_interestinteger[]

Installments with interest

installments_with_increaseobject[]

Groups of installments with surcharge rate

Show installments_with_increase properties
installmentsinteger[]
ratenumber<float>
debitobject
Show debit properties
enabledboolean
brandsobject[]
Show brands properties
enabledboolean
brandstring
currenciesstring[]
threedsboolean
bankslipobject
Show bankslip properties
enabledboolean
instant_paymentobject
Show instant_payment properties
enabledboolean
google_payobject

Available only for BR

Show google_pay properties
enabledboolean
apple_payobject

Available only for BR

Show apple_pay properties
enabledboolean
c2p_masterobject

Click to Pay Mastercard — available only for AR

Show c2p_master properties
enabledboolean
status"ACTIVE" | "INACTIVE" | "EXPIRED"
created_atstring<date-time>
updated_atstring<date-time>
currencystring

ISO 4217 code (3 letters). Main ones: BRL, ARS, CLP, MXN, EUR, UYU, USD, COP, PEN

Bad request - validation error

error_codestring
messagestring
detailsobject[]
Show details properties
messagestring
pathstring
status_codeinteger

Forbidden

error_codestring
messagestring
status_codeinteger

Not found

error_codestring
messagestring
status_codeinteger

Unprocessable entity

error_codestring
messagestring
status_codeinteger

Internal server error

error_codestring
messagestring
status_codeinteger
Request
curl -X PATCH "https://api-sbx.pre.globalgetnet.com/dpy/payment-link/v1/payment-links/<link_id>" \
  -H "Content-Type: application/json" \
  -H "Authorization: <Authorization>" \
  -d '{
  "status": "ACTIVE",
  "expiration": "2026-12-31T23:59:59"
}'
Response
{
  "link_id": "9e5dcedc-1e5f-4e85-9b64-4d0b43d98c82",
  "short_id": "ZDdlNmM1YTg",
  "seller_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "label": "black-friday-2026",
  "expiration": "2026-12-31T23:59:59.000Z",
  "max_orders": 100,
  "type": "custom",
  "successful_sales": 5,
  "request_delivery_address": false,
  "shipping_amount": 0,
  "products": [
    {
      "product_type": "physical_goods",
      "title": "Camiseta Oficial Getnet",
      "image_id": "6697e354-ab4a-11eb-bcbc-0242ac130002",
      "description": "Camiseta 100% algodão, tamanho M",
      "quantity": 2,
      "order_prefix": "BF2026",
      "amount": 9990
    }
  ],
  "payment": {
    "credit": {
      "enabled": true,
      "brands": [
        {
          "enabled": true,
          "brand": "VISA",
          "currencies": [
            "BRL"
          ],
          "threeds": true,
          "supported_installments": [
            {
              "schema": "plan_lojista",
              "schema_name": "Plan Lojista",
              "installments": [
                2,
                3,
                6,
                9,
                12
              ],
              "installments_with_interest": [
                6,
                9,
                12
              ],
              "installments_with_increase": null
            }
          ]
        }
      ]
    },
    "debit": {
      "enabled": true,
      "brands": [
        {
          "enabled": true,
          "brand": "VISA",
          "currencies": [
            "BRL"
          ],
          "threeds": true
        }
      ]
    },
    "bankslip": {
      "enabled": true
    },
    "instant_payment": {
      "enabled": true
    },
    "google_pay": {
      "enabled": true
    },
    "apple_pay": {
      "enabled": true
    },
    "c2p_master": {
      "enabled": false
    }
  },
  "status": "ACTIVE",
  "created_at": "2026-01-15T14:30:00Z",
  "updated_at": "2026-01-16T09:00:00Z",
  "currency": "BRL"
}